[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

ftpmaster-dak r1096: Merge autobyhand for tasks



------------------------------------------------------------
revno: 1096
committer: Joerg Jaspert <joerg@debian.org>
branch nick: upstream
timestamp: Thu 2008-05-29 23:12:26 +0200
message:
  Merge autobyhand for tasks
added:
  scripts/debian/byhand-task
modified:
  ChangeLog
  config/debian/dak.conf
    ------------------------------------------------------------
    revno: 1095.1.1
    committer: Frans Pop <fjp@faramir>
    branch nick: ftpmaster-dak
    timestamp: Wed 2008-05-28 18:32:00 +0200
    message:
      Add autobyhand support for task overrides (from tasksel)
    added:
      scripts/debian/byhand-task
    modified:
      ChangeLog
      config/debian/dak.conf
    ------------------------------------------------------------
    revno: 1095.2.1
    committer: Joerg Jaspert <joerg@debian.org>
    branch nick: tasks
    timestamp: Thu 2008-05-29 23:11:41 +0200
    message:
      Merge autobyhand change from frans
    added:
      scripts/debian/byhand-task
    modified:
      ChangeLog
      config/debian/dak.conf
=== modified file 'ChangeLog'
--- a/ChangeLog	2008-05-27 19:16:39 +0000
+++ b/ChangeLog	2008-05-28 16:32:00 +0000
@@ -1,3 +1,7 @@
+2008-05-28  Frans Pop  <fjp@debian.org>
+
+	* add autobyhand support for task overrides (from tasksel)
+
 2008-05-27  Joerg Jaspert  <joerg@debian.org>
 
 	* config/debian/pseudo-packages.maintainers: Change ftp.debian.org

=== modified file 'config/debian/dak.conf'
--- a/config/debian/dak.conf	2008-05-01 21:45:34 +0000
+++ b/config/debian/dak.conf	2008-05-28 16:32:00 +0000
@@ -692,6 +692,13 @@
     Extension "tar.gz";
     Script "/srv/ftp.debian.org/dak/scripts/debian/byhand-tag";
   };
+
+  "task-overrides" {
+    Source "tasksel";
+    Section "byhand";
+    Extension "tar.gz";
+    Script "/srv/ftp.debian.org/dak/scripts/debian/byhand-task";
+  };
 };
 
 Dir

=== added file 'scripts/debian/byhand-task'
--- a/scripts/debian/byhand-task	1970-01-01 00:00:00 +0000
+++ b/scripts/debian/byhand-task	2008-05-28 16:32:00 +0000
@@ -0,0 +1,37 @@
+#!/bin/sh -ue
+
+# Tarball to read, compressed with gzip
+INPUT="${1:?"Usage: $0 filename"}"
+
+# Regular expression used to validate tag lines
+CHECKRE='^[a-z0-9A-Z.+-]+[[:space:]]+Task[[:space:]]+[a-z0-9:. ,{}+-]+$'
+
+# This must end with /
+TARGET=/srv/ftp.debian.org/scripts/external-overrides/
+
+# Read the main directory from the tarball
+DIR="`tar ztf \"$INPUT\" | tac | tail -n 1`"
+
+# Create temporary files where to store the validated data
+umask 002
+OUTMAIN="`mktemp \"$TARGET\"task.new.XXXXXX`"
+
+# If we fail somewhere, cleanup the temporary files
+cleanup() {
+        rm -f "$OUTMAIN"
+}
+trap cleanup EXIT
+
+# Extract the data into the temporary files
+tar -O -zxf "$INPUT" "$DIR"task | grep -E "$CHECKRE" > "$OUTMAIN"
+
+# Move the data to the final location
+mv "$OUTMAIN"           "$TARGET"task
+
+chmod 644 "$TARGET"task
+
+(cd $TARGET && ./mk-extra-overrides.sh)
+
+trap - EXIT
+
+exit 0


Reply to: